> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bibigpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Read one SunoMV music video project as structured JSON (progress, cast, shots, clips)



## OpenAPI

````yaml https://api.bibigpt.co/api/openapi.json get /v1/getMvProject
openapi: 3.1.0
info:
  title: BibiGPT OpenAPI 规范
  description: 音视频 AI 学习助理的开放 API，加速音视频内容的信息提取，借助 AI 直接采取行动。
  version: 1.1.0
servers:
  - url: https://api.bibigpt.co/api
security: []
externalDocs:
  url: https://docs.bibigpt.co/api
paths:
  /v1/getMvProject:
    get:
      tags:
        - open
      summary: >-
        Read one SunoMV music video project as structured JSON (progress, cast,
        shots, clips)
      operationId: getMvProject
      parameters:
        - in: query
          name: contentId
          schema:
            type: string
            description: Song ID (the <id> in https://suno.bi/song/<id>)
          required: true
          description: Song ID (the <id> in https://suno.bi/song/<id>)
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  dslVersion:
                    type: number
                  contentId:
                    type: string
                  updatedAt:
                    type: string
                  options:
                    type: object
                    properties:
                      styleId:
                        type: string
                      styleName:
                        type: string
                      imageModel:
                        type: string
                      aspectRatio:
                        type: string
                    required:
                      - styleId
                      - styleName
                      - imageModel
                      - aspectRatio
                    additionalProperties: false
                  workflow:
                    type: object
                    properties:
                      currentStep:
                        type:
                          - string
                          - 'null'
                      doneCount:
                        type: number
                      totalCount:
                        type: number
                      exportable:
                        type: boolean
                      steps:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            status:
                              type: string
                            done:
                              type: number
                            total:
                              type: number
                            failed:
                              type: number
                            spendGuard:
                              type: boolean
                          required:
                            - id
                            - status
                            - spendGuard
                          additionalProperties: false
                      pendingGates:
                        type: array
                        items:
                          type: string
                    required:
                      - currentStep
                      - doneCount
                      - totalCount
                      - exportable
                      - steps
                    additionalProperties: false
                  direction:
                    anyOf:
                      - type: object
                        properties:
                          genre:
                            type: string
                          premise:
                            type: string
                          emotionalArc:
                            type: string
                          setting:
                            type: string
                          paletteAndLook:
                            type: string
                          visualMotifs:
                            type: array
                            items:
                              type: string
                        additionalProperties: false
                      - type: 'null'
                  music:
                    type: object
                    properties:
                      audioUrl:
                        type:
                          - string
                          - 'null'
                      vibe:
                        type: string
                      tempoFeel:
                        type: string
                    required:
                      - audioUrl
                    additionalProperties: false
                  cast:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        imageUrl:
                          type:
                            - string
                            - 'null'
                        source:
                          type: string
                        appearsIn:
                          type: array
                          items:
                            type: number
                        scope:
                          type: string
                          enum:
                            - all
                            - some
                            - none
                      required:
                        - id
                        - name
                        - imageUrl
                        - appearsIn
                        - scope
                      additionalProperties: false
                  locations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        imageUrl:
                          type: string
                      required:
                        - id
                        - name
                      additionalProperties: false
                  shots:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: number
                        startSec:
                          type: number
                        endSec:
                          type: number
                        lyric:
                          type: string
                        prompt:
                          type: string
                        promptSource:
                          type: string
                          enum:
                            - override
                            - script
                        action:
                          type: string
                        mood:
                          type: string
                        actionOutOfSync:
                          type: boolean
                        camera:
                          type: object
                          properties:
                            size:
                              type: string
                            angle:
                              type: string
                            movement:
                              type: string
                          additionalProperties: false
                        locationId:
                          type: string
                        cast:
                          type: array
                          items:
                            type: string
                        still:
                          type: object
                          properties:
                            status:
                              type: string
                            url:
                              type: string
                            versions:
                              type: number
                            error:
                              type: string
                            outdated:
                              type: boolean
                            qa:
                              type: object
                              properties:
                                verdict:
                                  type: string
                                excludedVisible:
                                  type: array
                                  items:
                                    type: string
                                faceMismatch:
                                  type: array
                                  items:
                                    type: string
                                avoidVisible:
                                  type: array
                                  items:
                                    type: string
                                peopleCount:
                                  type: number
                              required:
                                - verdict
                              additionalProperties: false
                          required:
                            - status
                            - versions
                          additionalProperties: false
                      required:
                        - index
                        - startSec
                        - endSec
                        - lyric
                        - prompt
                        - promptSource
                        - cast
                        - still
                      additionalProperties: false
                  clips:
                    type: array
                    items:
                      type: object
                      properties:
                        index:
                          type: number
                        startSec:
                          type: number
                        endSec:
                          type: number
                        section:
                          type: string
                        shotIndexes:
                          type: array
                          items:
                            type: number
                        cards:
                          type: array
                          items:
                            type: array
                            items:
                              type: number
                        look:
                          type: string
                        video:
                          type: object
                          properties:
                            status:
                              type: string
                            url:
                              type: string
                            model:
                              type: string
                            versions:
                              type: number
                            usable:
                              type: boolean
                            error:
                              type: string
                            outdated:
                              type: boolean
                          required:
                            - status
                            - versions
                            - usable
                          additionalProperties: false
                        approved:
                          type: boolean
                        drift:
                          type: string
                          enum:
                            - unnamedLead
                            - hairConflict
                      required:
                        - index
                        - startSec
                        - endSec
                        - section
                        - shotIndexes
                        - look
                        - video
                      additionalProperties: false
                  spend:
                    type: object
                    properties:
                      planCredits:
                        type: number
                      paidCredits:
                        type: number
                      refundedCredits:
                        type: number
                      lines:
                        type: array
                        items:
                          type: object
                          properties:
                            at:
                              type: string
                            what:
                              type: string
                            count:
                              type: number
                            credits:
                              type: number
                            source:
                              type: string
                              enum:
                                - plan
                                - balance
                                - refunded
                          required:
                            - at
                            - what
                            - count
                            - credits
                            - source
                          additionalProperties: false
                      olderLines:
                        type: number
                    required:
                      - planCredits
                      - paidCredits
                      - refundedCredits
                      - lines
                      - olderLines
                    additionalProperties: false
                required:
                  - dslVersion
                  - contentId
                  - options
                  - workflow
                  - direction
                  - music
                  - cast
                  - locations
                  - shots
                  - clips
                additionalProperties: false
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.